{$apptype console}

const v: int64 = 5 * 29;

var n, c, j, max, i: longint;
    rx, ry, x, y: array[0..1000]of longint;

begin
  c := 0;
  for i := 0 to longint(v) do begin
    j := round(sqrt(1.0 * v * v - i * i));
    if i * i + j * j = v * v then begin
      inc(c);
      x[c] := i;
      y[c] := j;
    end;
  end;

  n := 1;
  rx[1] := 0;
  ry[1] := -10000;
  for i := 1 to c do begin
    inc(n);
    rx[n] := rx[n - 1] + x[i];
    ry[n] := ry[n - 1] + y[i];
  end;
  for i := 1 to c do begin
    inc(n);
    rx[n] := rx[n - 1] - x[i];
    ry[n] := ry[n - 1] + y[i];
  end;
  for i := 1 to c do begin
    inc(n);
    rx[n] := rx[n - 1] - x[i];
    ry[n] := ry[n - 1] - y[i];
  end;
  for i := 1 to c do begin
    inc(n);
    rx[n] := rx[n - 1] + x[i];
    ry[n] := ry[n - 1] - y[i];
  end;

  dec(n);

  writeln(n);
  for i := 1 to n do begin
    writeln(rx[i], ' ', ry[i]);
  end;
end.